For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference
    • Introduction
      • POSTCreate Billing Agreement
      • POSTCreate Billing Agreement Alias
      • POSTStart Billing Agreement Approval Process
      • PUTCancel Billing Agreement (Alternative)
      • POSTRetrieve Billing Agreement Offers
      • POSTRetrieve Billing Agreement
      • POSTStart Billing Agreement Link Flow
      • GETGet Billing Agreement Details
      • DELCancel Billing Agreement
      • POSTCapture Full Recurring Payment
      • POSTAuthorize Recurring Payment
LogoLogo
ReferenceBilling Agreements (Deprecated)

Retrieve Billing Agreement Offers

POST
/v2/billing-agreements/offers
POST
/v2/billing-agreements/offers
$curl -X POST https://global-api-sandbox.afterpay.com/v2/billing-agreements/offers \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "requestId": "123e4567-e89b-12d3-a456-426614174000",
> "amount": {
> "amount": "200.00",
> "currency": "USD"
> },
> "token": "005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2"
>}'
1{
2 "consumerMaskedEmail": "j***@e***.com",
3 "consumerAmount": {
4 "amount": "200.00",
5 "currency": "USD"
6 },
7 "offers": [
8 {
9 "type": "PAY_IN_4",
10 "merchantAmount": {
11 "amount": "200.00",
12 "currency": "USD"
13 },
14 "exchangeRate": 1.35,
15 "amountDueToday": {
16 "amount": "50.00",
17 "currency": "USD"
18 },
19 "payments": [
20 {
21 "amount": {
22 "amount": "50.00",
23 "currency": "USD"
24 },
25 "dueDate": "2024-03-04"
26 },
27 {
28 "amount": {
29 "amount": "50.00",
30 "currency": "USD"
31 },
32 "dueDate": "2024-03-18"
33 },
34 {
35 "amount": {
36 "amount": "50.00",
37 "currency": "USD"
38 },
39 "dueDate": "2024-04-01"
40 },
41 {
42 "amount": {
43 "amount": "50.00",
44 "currency": "USD"
45 },
46 "dueDate": "2024-04-15"
47 }
48 ],
49 "crossBorder": false,
50 "appliedPromotion": {
51 "amount": "20.00",
52 "currency": "USD"
53 },
54 "consumer": {
55 "noPaymentUpFront": {
56 "eligible": true,
57 "eligibilityLimit": {
58 "amount": "2000.00",
59 "currency": "USD"
60 }
61 }
62 }
63 }
64 ]
65}
Retrieves available offers for billing agreements based on amount and frequency. *Deprecated. For new integrations, see [Grants](https://afterpay.docs.buildwithfern.com/afterpay-online-developer/api-reference/reference/grants/start-grant-approval).*
Was this page helpful?
Previous

Retrieve Billing Agreement

Next
Built with

Retrieves available offers for billing agreements based on amount and frequency.

Deprecated. For new integrations, see Grants.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Request

The request containing the amount and billing agreement token to check offers for
requestIdstringRequired
A unique identifier for this request
amountobjectRequired
The amount to check offers for
tokenstringRequired
The billing agreement token

Response

Offers retrieved successfully
consumerMaskedEmailstring
Masked email address of the consumer
consumerAmountobject
Amount in consumer's currency
offerslist of objects
List of available offers details

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error